Package org.apache.felix.http.base.internal.handler

## Class WhiteboardServletHandler

- java.lang.Object
- - org.apache.felix.http.base.internal.handler.ServletHandler
  - - org.apache.felix.http.base.internal.handler.WhiteboardServletHandler

All Implemented Interfaces:
  `Comparable<ServletHandler>`

    public final class WhiteboardServletHandler
    extends ServletHandler

Servlet handler for servlets registered through the http whiteboard.

### Field Summary

### Fields inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`useCount`

### Constructor Summary

Constructors
`WhiteboardServletHandler​(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, org.osgi.framework.BundleContext contextBundleContext, org.osgi.framework.Bundle registeringBundle, org.osgi.framework.Bundle httpWhiteboardBundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `destroy()`
`org.osgi.framework.Bundle` `getMultipartSecurityContext()`
`int` `init()` Initialize the object

### Methods inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`compareTo, dispose, equals, getContext, getContextServiceId, getMultipartConfig, getName, getServlet, getServletInfo, handle, hashCode, setServlet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhiteboardServletHandler

    public WhiteboardServletHandler​(long contextServiceId,
                                    ExtServletContext context,
                                    ServletInfo servletInfo,
                                    org.osgi.framework.BundleContext contextBundleContext,
                                    org.osgi.framework.Bundle registeringBundle,
                                    org.osgi.framework.Bundle httpWhiteboardBundle)

### Method Detail

#### init

    public int init()

Description copied from class: `ServletHandler`
Initialize the object

Overrides:
  `init` in class `ServletHandler`
Returns:
  {code -1} on success, a failure reason according to `DTOConstants` otherwise.

#### destroy

    public boolean destroy()

Overrides:
  `destroy` in class `ServletHandler`

#### getMultipartSecurityContext

    public org.osgi.framework.Bundle getMultipartSecurityContext()

Overrides:
  `getMultipartSecurityContext` in class `ServletHandler`